/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.bhie.beans;

import com.fasterxml.jackson.annotation.JsonProperty;

public class SiteStatus {
    @JsonProperty("ExpectedCount")
    private String expectedCount;
    @JsonProperty("RetrievedCount")
    private String retrievedCount;
    @JsonProperty("SiteStatus")
    private String siteStatus;
    @JsonProperty("SiteName")
    private String siteName;
    @JsonProperty("SiteId")
    private String siteId;

    public String getExpectedCount() {
        return expectedCount;
    }

    public void setExpectedCount(String expectedCount) {
        this.expectedCount = expectedCount;
    }

    public String getRetrievedCount() {
        return retrievedCount;
    }

    public void setRetrievedCount(String retrievedCount) {
        this.retrievedCount = retrievedCount;
    }

    public String getSiteStatus() {
        return siteStatus;
    }

    public void setSiteStatus(String siteStatus) {
        this.siteStatus = siteStatus;
    }

    public String getSiteName() {
        return siteName;
    }

    public void setSiteName(String siteName) {
        this.siteName = siteName;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }
}
