package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

////import org.codehaus.jackson.annotate.JsonProperty;

public class AdmissionV4 {
    @JsonProperty("admissionSource")
    private List<SPDCBeanV4> admissionSource;
    @JsonProperty("textDescription")
    private String textDescription;
    @JsonProperty("encounterLocations")
    private List<EncounterLocationV4> encounterLocations;
    @JsonProperty("encounterType")
    private List<SPDCBeanV4> encounterType;
    @JsonProperty("reason")
    private List<SPDCBeanV4> reason;
    @JsonProperty("disposition")
    private List<SPDCBeanV4> disposition;
    @JsonProperty("division")
    private String division;
    @JsonProperty("arrivalDate")
    private DateRangeV4 arrivalDate;
    @JsonProperty("departureDate")
    private DateRangeV4 departureDate;
    @JsonProperty("type")
    private List<SPDCBeanV4> type;
    @JsonProperty("comment")
    private String comment;
    @JsonProperty("provider")
    private ProviderV4 provider;
    @JsonProperty("narrativeId")
    private String narrativeId;
    @JsonProperty("repository")
    private RepositoryV4 repository;
    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("enteredBy")
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate")
    private DateRangeV4 enteredDate;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("facility")
    private RepositoryV4 facility;
    @JsonProperty("registrationNumber")
    private RecordIdentifierV4 registrationNumber;
    /**
     * @return the admissionSource
     */
    public List<SPDCBeanV4> getAdmissionSource() {
        return admissionSource;
    }
    /**
     * @param admissionSource the admissionSource to set
     */
    public void setAdmissionSource(List<SPDCBeanV4> admissionSource) {
        this.admissionSource = admissionSource;
    }
    /**
     * @return the textDescription
     */
    public String getTextDescription() {
        return textDescription;
    }
    /**
     * @param textDescription the textDescription to set
     */
    public void setTextDescription(String textDescription) {
        this.textDescription = textDescription;
    }
    /**
     * @return the encounterLocations
     */
    public List<EncounterLocationV4> getEncounterLocations() {
        return encounterLocations;
    }
    /**
     * @param encounterLocations the encounterLocations to set
     */
    public void setEncounterLocations(List<EncounterLocationV4> encounterLocations) {
        this.encounterLocations = encounterLocations;
    }
    /**
     * @return the encounterType
     */
    public List<SPDCBeanV4> getEncounterType() {
        return encounterType;
    }
    /**
     * @param encounterType the encounterType to set
     */
    public void setEncounterType(List<SPDCBeanV4> encounterType) {
        this.encounterType = encounterType;
    }
    /**
     * @return the reason
     */
    public List<SPDCBeanV4> getReason() {
        return reason;
    }
    /**
     * @param reason the reason to set
     */
    public void setReason(List<SPDCBeanV4> reason) {
        this.reason = reason;
    }
    /**
     * @return the disposition
     */
    public List<SPDCBeanV4> getDisposition() {
        return disposition;
    }
    /**
     * @param disposition the disposition to set
     */
    public void setDisposition(List<SPDCBeanV4> disposition) {
        this.disposition = disposition;
    }
    /**
     * @return the division
     */
    public String getDivision() {
        return division;
    }
    /**
     * @param division the division to set
     */
    public void setDivision(String division) {
        this.division = division;
    }

    /**
     * @return the arrivalDate
     */
    public DateRangeV4 getArrivalDate() {
        return arrivalDate;
    }
    /**
     * @param arrivalDate the arrivalDate to set
     */
    public void setArrivalDate(DateRangeV4 arrivalDate) {
        this.arrivalDate = arrivalDate;
    }
    /**
     * @return the departureDate
     */
    public DateRangeV4 getDepartureDate() {
        return departureDate;
    }
    /**
     * @param departureDate the departureDate to set
     */
    public void setDepartureDate(DateRangeV4 departureDate) {
        this.departureDate = departureDate;
    }
    /**
     * @return the type
     */
    public List<SPDCBeanV4> getType() {
        return type;
    }
    /**
     * @param type the type to set
     */
    public void setType(List<SPDCBeanV4> type) {
        this.type = type;
    }
    /**
     * @return the comment
     */
    public String getComment() {
        return comment;
    }
    /**
     * @param comment the comment to set
     */
    public void setComment(String comment) {
        this.comment = comment;
    }
    /**
     * @return the provider
     */
    public ProviderV4 getProvider() {
        return provider;
    }
    /**
     * @param provider the provider to set
     */
    public void setProvider(ProviderV4 provider) {
        this.provider = provider;
    }
    /**
     * @return the narrativeId
     */
    public String getNarrativeId() {
        return narrativeId;
    }
    /**
     * @param narrativeId the narrativeId to set
     */
    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }
    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }
    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }
    /**
     * @return the dataDomain
     */
    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }
    /**
     * @param dataDomain the dataDomain to set
     */
    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }
    /**
     * @return the enteredBy
     */
    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }
    /**
     * @param enteredBy the enteredBy to set
     */
    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }
    /**
     * @return the enteredDate
     */
    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }
    /**
     * @param enteredDate the enteredDate to set
     */
    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }
    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }
    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }
    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }
    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }
    /**
     * @return the registrationNumber
     */
    public RecordIdentifierV4 getRegistrationNumber() {
        return registrationNumber;
    }
    /**
     * @param registrationNumber the registrationNumber to set
     */
    public void setRegistrationNumber(RecordIdentifierV4 registrationNumber) {
        this.registrationNumber = registrationNumber;
    }
}
