package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

////import org.codehaus.jackson.annotate.JsonProperty;

public class InsuranceSubscriberV4 {
    @JsonProperty("address")
    private AddressV4 address;
    @JsonProperty("birthDate")
    private DateRangeV4 birthDate;
    @JsonProperty("phone")
    private PhoneV4 phone;
    @JsonProperty("relationship")
    private List<SPDCBeanV4> relationship;
    @JsonProperty("name")
    private String name;
    @JsonProperty("ids") //
    private List<RecordIdentifierV4> ids;
    /**
     * @return the address
     */
    public AddressV4 getAddress() {
        return address;
    }
    /**
     * @param address the address to set
     */
    public void setAddress(AddressV4 address) {
        this.address = address;
    }
    /**
     * @return the birthDate
     */
    public DateRangeV4 getBirthDate() {
        return birthDate;
    }
    /**
     * @param birthDate the birthDate to set
     */
    public void setBirthDate(DateRangeV4 birthDate) {
        this.birthDate = birthDate;
    }
    /**
     * @return the phone
     */
    public PhoneV4 getPhone() {
        return phone;
    }
    /**
     * @param phone the phone to set
     */
    public void setPhone(PhoneV4 phone) {
        this.phone = phone;
    }
    /**
     * @return the relationship
     */
    public List<SPDCBeanV4> getRelationship() {
        return relationship;
    }
    /**
     * @param relationship the relationship to set
     */
    public void setRelationship(List<SPDCBeanV4> relationship) {
        this.relationship = relationship;
    }
    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return the ids
     */
    public List<RecordIdentifierV4> getIds() {
        return ids;
    }
    /**
     * @param ids the ids to set
     */
    public void setIds(List<RecordIdentifierV4> ids) {
        this.ids = ids;
    }
    
}
