/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.bhie.resultcollection;


import gov.va.med.bhie.beans.Error;
import gov.va.med.bhie.beans.SiteStatus;

import java.util.List;

public class ResultCollection {
    private List<Error> errorList;
    private List<SiteStatus> statusList;
    private String queryComplete;

    public List<Error> getErrorList() {
        return errorList;
    }

    public void setErrorList(List<Error> errorList) {
        this.errorList = errorList;
    }

    public List<SiteStatus> getStatusList() {
        return statusList;
    }

    public void setStatusList(List<SiteStatus> statusList) {
        this.statusList = statusList;
    }

    public String getQueryComplete() {
        return queryComplete;
    }

    public void setQueryComplete(String queryComplete) {
        this.queryComplete = queryComplete;
    }

}
