package gov.va.med.bhie.resultcollection;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import gov.va.med.bhie.beans.v4.NarrativeV4;
import gov.va.med.bhie.beans.v4.SiteStatusV4;
import gov.va.med.bhie.datarecord.V4DataRecord;

import java.util.List;


@JsonIgnoreProperties(ignoreUnknown = true)
public class V4ResultCollection extends ResultCollection {
    @JsonProperty("queryComplete")
    private String queryComplete;
    @JsonProperty("dataList")
    private V4DataRecord dataRecordList;
    @JsonProperty("narrativeList")
    private List<NarrativeV4> narrativeList;
    private List<SiteStatusV4> statusListv4;
    private List<String> errorListv4;
    private boolean vler;

    /**
     * @return the queryComplete
     */
    public String getQueryComplete() {
        return queryComplete;
    }
    /**
     * @param queryComplete the queryComplete to set
     */
    public void setQueryComplete(String queryComplete) {
        this.queryComplete = queryComplete;
    }
    /**
     * @return the dataRecordList
     */
    public V4DataRecord getDataRecordList() {
        return dataRecordList;
    }
    /**
     * @param dataRecordList the dataRecordList to set
     */
    public void setDataRecordList(V4DataRecord dataRecordList) {
        this.dataRecordList = dataRecordList;
    }
    /**
     * @return the narrativeList
     */
    public List<NarrativeV4> getNarrativeList() {
        return narrativeList;
    }
    /**
     * @param narrativeList the narrativeList to set
     */
    public void setNarrativeList(List<NarrativeV4> narrativeList) {
        this.narrativeList = narrativeList;
    }
    /**
     * @return the statusListv4
     */

    public List<SiteStatusV4> getStatusListv4() {
        return statusListv4;
    }
    /**
     * @param statusListv4 the statusListv4 to set
     */
    @JsonProperty("statusList")
    public void setStatusListv4(List<SiteStatusV4> statusListv4) {
        this.statusListv4 = statusListv4;
    }

    public boolean isVler() {
        return vler;
    }

    public void setVler(boolean vler) {
        this.vler = vler;
    }

    /**
     * @return the errorListv4
     */
    public List<String> getErrorListv4() {
        return errorListv4;
    }
    /**
     * @param errorListv4 the errorListv4 to set
     */
    @JsonProperty("errorList")
    public void setErrorListv4(List<String> errorListv4) {
        this.errorListv4 = errorListv4;
    }
}
