AppKit.Form = AppKit.Control.extend({
    classID: 'appkit-form',
    options: {
        tabindex: -1
    },
    initialize: function (options) {

        this._super(options);
        this.$el.css('outline', 'none');
    },
    events: {
        keypress: function (evt) {
            if (evt.keyCode == jQuery.ui.keyCode.ENTER)
                this.fire();
        }
    }
});

AppKit.Form.clearValidationWarnings = function () {
    $('.validation-error').each(function (idx, el) {
        var widget = $(el).widget();
        if (!widget)
            widget = $(el).parent().widget();

        if (widget && _.isFunction(widget.clearValidationWarning)) {
            widget.clearValidationWarning();
        }
    });
};