<!-- Restricted users patient list dialog -->
<div id="RestrictedUserDialog" class="appkit-dialog"
     data-title="Patient List"
     data-visible="false"
     data-resizable="false"
     data-width="700"
     data-height="480"
     data-modal="false"
     data-delegate="JLV.RestrictedUser.Controller"
     data-outlet="JLV.RestrictedUser.Controller.dialog">

    <div class="appkit-form" data-action="JLV.RestrictedUser.Controller.onSearch">

        <div id="RestrictedUserTabView" class="appkit-tabview"
             data-outlet="JLV.RestrictedUser.Controller.tabView">

            <div class="appkit-view"
                 data-title="Patient List">

                <div id="RestrictedUserTable" class="appkit-table"
                     data-outlet="JLV.RestrictedUser.Controller.RUPatientsTable"
                     data-source="JLV.RestrictedUser.RUPatients"
                     data-delegate="JLV.RestrictedUser.Controller"
                     data-fit-columns="true">
                    <div data-id="name" data-formatter="patientNameFormatter" class="appkit-table-column"
                         data-width="260">Name</div>

                    <div data-id="ssn" class="appkit-table-column" data-width="130">SSN</div>

                    <div data-id="dob" class="appkit-table-column"
                         data-width="190">Date of Birth</div>

                    <div data-id="gender" class="appkit-table-column"
                         data-width="80">Gender</div>
                </div>
            </div>

            <div class="appkit-view"
                 data-title="Recently viewed">

                <div id="RURecentlyViewedPatientTable" class="appkit-table"
                     data-outlet="JLV.RestrictedUser.Controller.RURecentlyViewedTable"
                     data-source="JLV.RestrictedUser.RecentlyViewed"
                     data-delegate="JLV.RestrictedUser.Controller"
                     data-fit-columns="true">
                    <div data-id="name" data-formatter="patientNameFormatterRV" class="appkit-table-column"
                         data-width="260">Name</div>

                    <div data-id="ssn" class="appkit-table-column" data-width="90">SSN</div>

                    <div data-id="dob" class="appkit-table-column"
                         data-width="140">Date of Birth</div>

                    <div data-id="gender" class="appkit-table-column"
                         data-width="80">Gender</div>

                </div>
            </div>
        </div>

    </div>

</div>


