<div id="WidgetDateFilterTemplate" class="appkit-template">
    <div class="jlv-filter-date-msg">If the information you expect does not appear, expand the date range.</div>

    <div class="appkit-view dates">
        <div class="appkit-view start-date">
            Start date: <br/>

            <div class="appkit-datepicker jlv-start-date-input"
                 aria-label="Start Date"
                 data-change-month="true" data-change-year="true"></div>
        </div>

        <div class="appkit-view end-date">
            End date: <br/>

            <div class="appkit-datepicker jlv-end-date-input"
                 aria-label="End Date"
                 data-change-month="true" data-change-year="true"></div>
        </div>
    </div>

    <div class="appkit-view presets">
        <div class="preset" aria-label="1 week date filter. Press spacebar to activate"
             data-value="1w" tabindex="0">1w</div>

        <div class="preset" aria-label="2 week date filter. Press spacebar to activate"
             data-value="2w" tabindex="0">2w</div>

        <div class="preset" aria-label="1 month date filter. Press spacebar to activate"
             data-value="1m" tabindex="0">1m</div>

        <div class="preset" aria-label="3 month date filter. Press spacebar to activate"
             data-value="3m" tabindex="0">3m</div>

        <div class="preset" aria-label="6 month date filter. Press spacebar to activate"
             data-value="6m" tabindex="0">6m</div>

        <div class="preset" aria-label="1 year date filter. Press spacebar to activate"
             data-value="1y" tabindex="0">1y</div>

        <div class="preset" aria-label="2 year date filter. Press spacebar to activate"
             data-value="2y" tabindex="0">2y</div>

        <div class="preset" aria-label="3 year date filter. Press spacebar to activate"
             data-value="3y" tabindex="0">3y</div>

    </div>

    <div class="jlv-date-filter-apply appkit-button"
         data-type="primary">Apply</div>

    <div class="jlv-date-filter-close appkit-view" tabindex="0">Close</div>
</div>


<!-- template for appointments & encounters -->
<div id="AppointmentsEncountersDateFilterTemplate" class="appkit-template">

    <div class="appkit-view dates">
        <div class="appkit-view start-date">
            Start date: <br/>

            <div class="appkit-datepicker jlv-start-date-input"
                 aria-label="Start Date"
                 data-change-month="true" data-change-year="true"></div>
        </div>

        <div class="appkit-view end-date">
            End date: <br/>

            <div class="appkit-datepicker jlv-end-date-input"
                 aria-label="End Date"
                 data-change-month="true" data-change-year="true"></div>
        </div>
    </div>

    <div class="appkit-view presets">
        <div class="preset" aria-label="3 year date filter. Press spacebar to activate"
             data-value="3y" tabindex="0">-3y</div>

        <div class="preset" aria-label="1 year date filter. Press spacebar to activate"
             data-value="1y" tabindex="0">-1y</div>

        <div class="preset" aria-label="3 month date filter. Press spacebar to activate"
             data-value="3m" tabindex="0">-3m</div>

        <div class="preset" aria-label="2 week date filter. Press spacebar to activate"
             data-value="2w" tabindex="0">-2w</div>

        <div class="preset" aria-label="1 year future date filter. Press spacebar to activate"
             data-value="T+1y" tabindex="0">T+1y</div>

    </div>

    <div class="jlv-date-filter-apply appkit-button"
         data-type="primary">Apply</div>

    <div class="jlv-date-filter-close appkit-view">Close</div>
</div>