/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

public class GUIPatientForm extends GUIBean {
    private String formId;
    private String formDate;
    private String enteredBy;
    private String documentTitle;
    private String facilityName;
    private String docType;
    private GUIDeploymentForm deploymentForm;
    private GUIQuestionnaire questionnaireBean;
    private boolean noteAsBinaryStream;
    private boolean noteAsPlainText;

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public String getFormDate() {
        return formDate;
    }

    public void setFormDate(String formDate) {
        this.formDate = formDate;
    }

    public String getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(String enteredBy) {
        this.enteredBy = enteredBy;
    }

    public String getDocumentTitle() {
        return documentTitle;
    }

    public void setDocumentTitle(String documentTitle) {
        this.documentTitle = documentTitle;
    }

    public String getFacilityName() {
        return facilityName;
    }

    public void setFacilityName(String facilityName) {
        this.facilityName = facilityName;
    }

    public String getDocType() {
        return docType;
    }

    public void setDocType(String docType) {
        this.docType = docType;
    }

    public GUIDeploymentForm getDeploymentForm() {
        return deploymentForm;
    }

    public void setDeploymentForm(GUIDeploymentForm deploymentForm) {
        this.deploymentForm = deploymentForm;
    }

    public GUIQuestionnaire getQuestionnaireBean() {
        return questionnaireBean;
    }

    public void setQuestionnaireBean(GUIQuestionnaire questionnaireBean) {
        this.questionnaireBean = questionnaireBean;
    }

    public boolean isNoteAsBinaryStream() {
        return noteAsBinaryStream;
    }

    public void setNoteAsBinaryStream(boolean noteAsBinaryStream) {
        this.noteAsBinaryStream = noteAsBinaryStream;
    }

    public boolean isNoteAsPlainText() {
        return noteAsPlainText;
    }

    public void setNoteAsPlainText(boolean noteAsPlainText) {
        this.noteAsPlainText = noteAsPlainText;
    }
}
