package gov.va.med.monitor;

import java.util.TimerTask;

public class EmailTask extends TimerTask
{
    private AbstractServiceMonitor serviceMonitorHandler;

    public EmailTask(AbstractServiceMonitor serviceMonitorHandler) {
        this.serviceMonitorHandler = serviceMonitorHandler;
    }

    @Override
    public void run()
    {
        EmailHandler.getInstance().email(" - JLVQoS Report: ", serviceMonitorHandler.generateEmailReport());
    }
}
