/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */
 
 
package gov.va.med.rpc;

/**
 *
 *
 */
public class DdrField {
    private String fmNumber;
    private boolean hasExternal;
    private String val;
    private String externalVal;

    public DdrField() {
        super();
    }
    
    public DdrField(String fmNumber, boolean fExternal) {
        super();
        this.fmNumber = fmNumber;
        this.hasExternal = fExternal;
    }

    public String getExternalVal() {
        return externalVal;
    }

    public void setExternalVal(String externalVal) {
        this.externalVal = externalVal;
    }

    public String getFmNumber() {
        return fmNumber;
    }

    public void setFmNumber(String fmNumber) {
        this.fmNumber = fmNumber;
    }

    public boolean isHasExternal() {
        return hasExternal;
    }

    public void setHasExternal(boolean hasExternal) {
        this.hasExternal = hasExternal;
    }

    public String getVal() {
        return val;
    }

    public void setVal(String val) {
        this.val = val;
    }

    
}
