/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */
 
 
package gov.va.med.rpc;

/**
 *
 *
 */
public class VistaField {
    private int pos;
    private String vistaName;
    private String vistaNum;
    private String vistaNode;
    private String vistaPiece;
    private String mdoName;
    private String mdoType;
    private VistaFieldMapping mapping;

    public VistaFieldMapping getMapping() {
        return mapping;
    }

    public void setMapping(VistaFieldMapping mapping) {
        this.mapping = mapping;
    }

    public String getMdoName() {
        return mdoName;
    }

    public void setMdoName(String mdoName) {
        this.mdoName = mdoName;
    }

    public String getMdoType() {
        return mdoType;
    }

    public void setMdoType(String mdoType) {
        this.mdoType = mdoType;
    }

    public int getPos() {
        return pos;
    }

    public void setPos(int pos) {
        this.pos = pos;
    }

    public String getVistaName() {
        return vistaName;
    }

    public void setVistaName(String vistaName) {
        this.vistaName = vistaName;
    }

    public String getVistaNode() {
        return vistaNode;
    }

    public void setVistaNode(String vistaNode) {
        this.vistaNode = vistaNode;
    }

    public String getVistaNum() {
        return vistaNum;
    }

    public void setVistaNum(String vistaNum) {
        this.vistaNum = vistaNum;
    }

    public String getVistaPiece() {
        return vistaPiece;
    }

    public void setVistaPiece(String vistaPiece) {
        this.vistaPiece = vistaPiece;
    }
}
