/**
 * Copyright (c) 2017 Hokukahu LLC. All Rights Reserved.
 */

package gov.va.med.vds.vistabeans;

/**
 * This class contains data regarding a patient's allergy.
 */
public class HealthSummaryType extends DataBean {
    /**
     * name of Health Summary type.
     */
    private String name;
    
    /**
     * Internal Id of Health Summary Type
     */
    private String id;
    
    /**
     * National or local
     */
    private String locale;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLocale() {
        return locale;
    }

    public void setLocale(String locale) {
        this.locale = locale;
    }
}