package gov.va.med.vds.vistabeans;

/**
 * Created by melcolm on 2/7/17.
 */
public class PersonName {
    private String given;
    private String family;
    private String middle;
    private String prefix;
    private String suffix;
    private String text;

    public PersonName(String text) {
        this.text = text;
        if (text.contains(",")) {
            String[] parts = text.split(",");
            if (parts[0] != null) {
                family = parts[0].trim();
            }
            if (parts[1] != null) {
                given = parts[1].trim();
            }
        } else {
            family = text;
        }

    }

    public String getGiven() {
        return given;
    }

    public void setGiven(String given) {
        this.given = given;
    }

    public String getFamily() {
        return family;
    }

    public void setFamily(String family) {
        this.family = family;
    }

    public String getMiddle() {
        return middle;
    }

    public void setMiddle(String middle) {
        this.middle = middle;
    }

    public String getPrefix() {
        return prefix;
    }

    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }

    public String getSuffix() {
        return suffix;
    }

    public void setSuffix(String suffix) {
        this.suffix = suffix;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }
}
