/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import java.util.Calendar;
import java.util.List;


public class QuestionnaireBean extends DataBean {
    private String comments;
//    private Repository repository;
    private Calendar responseDate;
    private List<QuestionnaireDetails> responses;
    private Provider enteredBy;
    private String enteredDate;
    private String recordId;
//    private Repository facility;
//    private Repository location;
//    private List<SPDCBean> dataDomain;
    private String name;
    private String type;
    private List<QuestionnaireResponseComments> responseComments;
    private String version;
    private String score;
    private String status;

    /**
     * @return the comments
     */
    public String getComments() {
        return comments;
    }
    /**
     * @param comments the comments to set
     */
    public void setComments(String comments) {
        this.comments = comments;
    }
    /**
     * @return the responseDate
     */
    public Calendar getResponseDate() {
        return responseDate;
    }
    /**
     * @param responseDate the responseDate to set
     */
    public void setResponseDate(Calendar responseDate) {
        this.responseDate = responseDate;
    }
    /**
     * @return the responses
     */
    public List<QuestionnaireDetails> getResponses() {
        return responses;
    }
    /**
     * @param responses the responses to set
     */
    public void setResponses(List<QuestionnaireDetails> responses) {
        this.responses = responses;
    }
    /**
     * @return the enteredBy
     */
    public Provider getEnteredBy() {
        return enteredBy;
    }
    /**
     * @param enteredBy the enteredBy to set
     */
    public void setEnteredBy(Provider enteredBy) {
        this.enteredBy = enteredBy;
    }
    /**
     * @return the enteredDate
     */
    public String getEnteredDate() {
        return enteredDate;
    }
    /**
     * @param enteredDate the enteredDate to set
     */
    public void setEnteredDate(String enteredDate) {
        this.enteredDate = enteredDate;
    }
    /**
     * @return the recordId
     */
    public String getRecordId() {
        return recordId;
    }
    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }
    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return the type
     */
    public String getType() {
        return type;
    }
    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }
    /**
     * @return the responseComments
     */
    public List<QuestionnaireResponseComments> getResponseComments() {
        return responseComments;
    }
    /**
     * @param responseComments the responseComments to set
     */
    public void setResponseComments(
            List<QuestionnaireResponseComments> responseComments) {
        this.responseComments = responseComments;
    }
    /**
     * @return the version
     */
    public String getVersion() {
        return version;
    }
    /**
     * @param version the version to set
     */
    public void setVersion(String version) {
        this.version = version;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
