/*
 * Janus 4.0 (c)
 * Copyright (c) 2015 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.beans;

import gov.va.med.vds.webservice.DataBean;
//import gov.va.med.vds.webservice.DeploymentForm;
import gov.va.med.vds.webservice.ProgressNote;
import gov.va.med.vds.webservice.QuestionnaireBean;

//import javax.xml.datatype.XMLGregorianCalendar;
import java.util.Calendar;

public class Form extends DataBean {
    /**
     * Class UID.
     */
    private static final long serialVersionUID = 1598978038522416275L;
    
    private String formId;
    private Calendar formDate;
    private String enteredBy;
    private String documentTitle;
    private String facilityName;
    private ProgressNote deploymentForm;
    private QuestionnaireBean questionnaireBean;
    private String docType;

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public String getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(String enteredBy) {
        this.enteredBy = enteredBy;
    }

    public Calendar getFormDate() {
        return formDate;
    }

    public void setFormDate(Calendar formDate) {
        this.formDate = formDate;
    }

    public String getDocumentTitle() {
        return documentTitle;
    }

    public void setDocumentTitle(String documentTitle) {
        this.documentTitle = documentTitle;
    }

    public String getFacilityName() {
        return facilityName;
    }

    public void setFacilityName(String facilityName) {
        this.facilityName = facilityName;
    }

    public ProgressNote getDeploymentForm() {
        return deploymentForm;
    }

    public void setDeploymentForm(ProgressNote deploymentForm) {
        this.deploymentForm = deploymentForm;
    }

    public QuestionnaireBean getQuestionnaireBean() {
        return questionnaireBean;
    }

    public void setQuestionnaireBean(QuestionnaireBean questionnaireBean) {
        this.questionnaireBean = questionnaireBean;
    }


    public String getDocType() {
        return docType;
    }

    public void setDocType(String docType) {
        this.docType = docType;
    }
}
