/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.util;

public class ProviderMultiLocationQueryConfig extends MultiLocationQueryConfig {

    public ProviderMultiLocationQueryConfig(ProviderMultiLocQueryCfgBuilder builder) {
        super(builder);
        this.location = builder.userLocation;
    }

    public UserLocation getLocation() {
        UserLocation rtc;
        if (location instanceof UserLocation) {
            rtc = (UserLocation) location;
        } else {
            rtc = new UserLocation();
        }
        return rtc;
    }

    public void setLocation(UserLocation location) {
        this.location = location;
    }
}
