package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

////import org.codehaus.jackson.annotate.JsonProperty;

public class AppointmentV4 {
    @JsonProperty("date")
    private DateRangeV4 date;
    @JsonProperty("location")
    private RepositoryV4 location;
    @JsonProperty("provider")
    private ProviderV4 provider;
    @JsonProperty("type")
    private List<SPDCBeanV4> type;
    @JsonProperty("reason")
    private List<SPDCBeanV4> reason;
    @JsonProperty("status")
    private List<SPDCBeanV4> status;
    @JsonProperty("statusReason")
    private List<SPDCBeanV4> statusReason;
    @JsonProperty("enteredDate")
    private DateRangeV4 enteredDate;
    @JsonProperty("repository")
    private RepositoryV4 repository;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("facility")
    private RepositoryV4 facility;
    /**
     * @return the date
     */
    public DateRangeV4 getDate() {
        return date;
    }
    /**
     * @param date the date to set
     */
    public void setDate(DateRangeV4 date) {
        this.date = date;
    }
    /**
     * @return the location
     */
    public RepositoryV4 getLocation() {
        return location;
    }
    /**
     * @param location the location to set
     */
    public void setLocation(RepositoryV4 location) {
        this.location = location;
    }
    /**
     * @return the provider
     */
    public ProviderV4 getProvider() {
        return provider;
    }
    /**
     * @param provider the provider to set
     */
    public void setProvider(ProviderV4 provider) {
        this.provider = provider;
    }
    /**
     * @return the type
     */
    public List<SPDCBeanV4> getType() {
        return type;
    }
    /**
     * @param type the type to set
     */
    public void setType(List<SPDCBeanV4> type) {
        this.type = type;
    }
    /**
     * @return the reason
     */
    public List<SPDCBeanV4> getReason() {
        return reason;
    }
    /**
     * @param reason the reason to set
     */
    public void setReason(List<SPDCBeanV4> reason) {
        this.reason = reason;
    }
    /**
     * @return the status
     */
    public List<SPDCBeanV4> getStatus() {
        return status;
    }
    /**
     * @param status the status to set
     */
    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }
    /**
     * @return the enteredDate
     */
    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }
    /**
     * @param enteredDate the enteredDate to set
     */
    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }
    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }
    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }
    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }
    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }
    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }
    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    public List<SPDCBeanV4> getStatusReason() {
        return statusReason;
    }

    public void setStatusReason(List<SPDCBeanV4> statusReason) {
        this.statusReason = statusReason;
    }
}
