package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
////import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class ConsultOrderV4 {

    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("orderNumber")
    private RecordIdentifierV4 orderNumber;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    @JsonProperty("description")
    private String description;
    @JsonProperty("referringProvider") //
    private ProviderV4 referringProvider;
    @JsonProperty("date")
    private DateRangeV4 date;
    @JsonProperty("reason")
    private String reason;
    @JsonProperty("receivingLocation") //
    private RepositoryV4 receivingLocation;
    @JsonProperty("referringLocation") //
    private RepositoryV4 referringLocation;
    @JsonProperty("status") //
    private List<SPDCBeanV4> status;


    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    public RepositoryV4 getFacility() {
        return facility;
    }

    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    public RecordIdentifierV4 getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(RecordIdentifierV4 orderNumber) {
        this.orderNumber = orderNumber;
    }

    public RepositoryV4 getRepository() {
        return repository;
    }

    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public ProviderV4 getReferringProvider() {
        return referringProvider;
    }

    public void setReferringProvider(ProviderV4 referringProvider) {
        this.referringProvider = referringProvider;
    }

    public DateRangeV4 getDate() {
        return date;
    }

    public void setDate(DateRangeV4 date) {
        this.date = date;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public RepositoryV4 getReceivingLocation() {
        return receivingLocation;
    }

    public void setReceivingLocation(RepositoryV4 receivingLocation) {
        this.receivingLocation = receivingLocation;
    }

    public RepositoryV4 getReferringLocation() {
        return referringLocation;
    }

    public void setReferringLocation(RepositoryV4 referringLocation) {
        this.referringLocation = referringLocation;
    }

    public List<SPDCBeanV4> getStatus() {
        return status;
    }

    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }
}
