package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

////import org.codehaus.jackson.annotate.JsonProperty;

public class EncounterProcedureV4 {
    @JsonProperty("date")
    private DateRangeV4 date;
    @JsonProperty("procedure") //
    private List<SPDCBeanV4> procedure;
    @JsonProperty("recordId") //
    private RecordIdentifierV4 recordId;    
    @JsonProperty("status") //
    private List<SPDCBeanV4> status;
    @JsonProperty("narrativeId") //
    private String narrativeId;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    @JsonProperty("dataDomain") //
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("enteredBy")
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate")
    private DateRangeV4 enteredDate;
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    /**
     * @return the date
     */
    public DateRangeV4 getDate() {
        return date;
    }
    /**
     * @param date the date to set
     */
    public void setDate(DateRangeV4 date) {
        this.date = date;
    }
    /**
     * @return the procedure
     */
    public List<SPDCBeanV4> getProcedure() {
        return procedure;
    }
    /**
     * @param procedure the procedure to set
     */
    public void setProcedure(List<SPDCBeanV4> procedure) {
        this.procedure = procedure;
    }
    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }
    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }
    /**
     * @return the status
     */
    public List<SPDCBeanV4> getStatus() {
        return status;
    }
    /**
     * @param status the status to set
     */
    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }
    /**
     * @return the narrativeId
     */
    public String getNarrativeId() {
        return narrativeId;
    }
    /**
     * @param narrativeId the narrativeId to set
     */
    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }
    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }
    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }
    /**
     * @return the dataDomain
     */
    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }
    /**
     * @param dataDomain the dataDomain to set
     */
    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }
    /**
     * @return the enteredBy
     */
    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }
    /**
     * @param enteredBy the enteredBy to set
     */
    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }
    /**
     * @return the enteredDate
     */
    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }
    /**
     * @param enteredDate the enteredDate to set
     */
    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }
    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }
    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }
}
