package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

////import org.codehaus.jackson.annotate.JsonProperty;

public class InsurancePlanV4 {
    @JsonProperty("address")
    private AddressV4 address;
    @JsonProperty("effectiveDate")
    private DateRangeV4 effectiveDate;
    @JsonProperty("expirationDate")
    private DateRangeV4 expirationDate;
    @JsonProperty("insurance")
    private InsuranceIdentifierV4 insurance;
    @JsonProperty("name")
    private String name;
    @JsonProperty("telecom")
    private TelecomV4 telecom;
    @JsonProperty("type")
    private List<SPDCBeanV4> type;
    /**
     * @return the address
     */
    public AddressV4 getAddress() {
        return address;
    }
    /**
     * @param address the address to set
     */
    public void setAddress(AddressV4 address) {
        this.address = address;
    }
    /**
     * @return the effectiveDate
     */
    public DateRangeV4 getEffectiveDate() {
        return effectiveDate;
    }
    /**
     * @param effectiveDate the effectiveDate to set
     */
    public void setEffectiveDate(DateRangeV4 effectiveDate) {
        this.effectiveDate = effectiveDate;
    }
    /**
     * @return the expirationDate
     */
    public DateRangeV4 getExpirationDate() {
        return expirationDate;
    }
    /**
     * @param expirationDate the expirationDate to set
     */
    public void setExpirationDate(DateRangeV4 expirationDate) {
        this.expirationDate = expirationDate;
    }
    /**
     * @return the insurance
     */
    public InsuranceIdentifierV4 getInsurance() {
        return insurance;
    }
    /**
     * @param insurance the insurance to set
     */
    public void setInsurance(InsuranceIdentifierV4 insurance) {
        this.insurance = insurance;
    }
    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return the telecom
     */
    public TelecomV4 getTelecom() {
        return telecom;
    }
    /**
     * @param telecom the telecom to set
     */
    public void setTelecom(TelecomV4 telecom) {
        this.telecom = telecom;
    }
    /**
     * @return the type
     */
    public List<SPDCBeanV4> getType() {
        return type;
    }
    /**
     * @param type the type to set
     */
    public void setType(List<SPDCBeanV4> type) {
        this.type = type;
    }
}
