package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

////import org.codehaus.jackson.annotate.JsonProperty;

public class MedicationFillInfoV4 {
    @JsonProperty("action") //
    private List<SPDCBeanV4> action;
    @JsonProperty("dispensingPharmacy")
    private RepositoryV4 dispensingPharmacy;
    @JsonProperty("enteredBy")
    private ProviderV4 enteredBy;
    @JsonProperty("fillCost")
    private String fillCost;
    @JsonProperty("fillDate")
    private DateRangeV4 fillDate;
    @JsonProperty("fillNumber")
    private String fillNumber;
    @JsonProperty("location")
    private RepositoryV4 location;
    @JsonProperty("quantity")
    private QuantityV4 quantity;
    @JsonProperty("units")
    private List<SPDCBeanV4> units;

    public List<SPDCBeanV4> getAction() {
        return action;
    }

    public void setAction(List<SPDCBeanV4> action) {
        this.action = action;
    }

    public RepositoryV4 getDispensingPharmacy() {
        return dispensingPharmacy;
    }

    public void setDispensingPharmacy(RepositoryV4 dispensingPharmacy) {
        this.dispensingPharmacy = dispensingPharmacy;
    }

    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }

    public String getFillCost() {
        return fillCost;
    }

    public void setFillCost(String fillCost) {
        this.fillCost = fillCost;
    }

    public DateRangeV4 getFillDate() {
        return fillDate;
    }

    public void setFillDate(DateRangeV4 fillDate) {
        this.fillDate = fillDate;
    }

    public String getFillNumber() {
        return fillNumber;
    }

    public void setFillNumber(String fillNumber) {
        this.fillNumber = fillNumber;
    }

    public RepositoryV4 getLocation() {
        return location;
    }

    public void setLocation(RepositoryV4 location) {
        this.location = location;
    }

    public QuantityV4 getQuantity() {
        return quantity;
    }

    public void setQuantity(QuantityV4 quantity) {
        this.quantity = quantity;
    }

    public List<SPDCBeanV4> getUnits() {
        return units;
    }

    public void setUnits(List<SPDCBeanV4> units) {
        this.units = units;
    }

}
