package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * Created by melcolm on 6/17/15.
 */

@JsonIgnoreProperties(ignoreUnknown = true)
public class PersonV4 {

    @JsonProperty("addresses")
    private List<AddressV4> address;
    @JsonProperty("name")
    private NameV4 name;
    @JsonProperty("telecoms")
    private List<TelecomV4> phone;
    @JsonProperty("relationship")
    private List<SPDCBeanV4> relationship;

    public List<AddressV4> getAddress() {
        return address;
    }

    public void setAddress(List<AddressV4> address) {
        this.address = address;
    }

    public NameV4 getName() {
        return name;
    }

    public void setName(NameV4 name) {
        this.name = name;
    }

    public List<TelecomV4> getPhone() {
        return phone;
    }

    public void setPhone(List<TelecomV4> phone) {
        this.phone = phone;
    }

    public List<SPDCBeanV4> getRelationship() {
        return relationship;
    }

    public void setRelationship(List<SPDCBeanV4> relationship) {
        this.relationship = relationship;
    }
}
