/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */

package gov.va.med.bhie.beans.v4;

//import org.codehaus.jackson.annotate.JsonProperty;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class QuestionnaireDetailsV4 {
    @JsonProperty("choices")
    private List<QuestionnaireDetailChoicesV4> choices;
    @JsonProperty("answers")
    private List<QuestionnaireDetailAnswersV4> answers;
    @JsonProperty("question")
    private String question;
    @JsonProperty("sequenceNumber")
    private String sequenceNumber;
    @JsonProperty("comments")
    private List<QuestionnaireDetailCommentsV4> comments;

    public List<QuestionnaireDetailChoicesV4> getChoices() {
        return choices;
    }

    public void setChoices(List<QuestionnaireDetailChoicesV4> choices) {
        this.choices = choices;
    }

    public List<QuestionnaireDetailAnswersV4> getAnswers() {
        return answers;
    }

    public void setAnswers(List<QuestionnaireDetailAnswersV4> answers) {
        this.answers = answers;
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public String getSequenceNumber() {
        return sequenceNumber;
    }

    public void setSequenceNumber(String sequenceNumber) {
        this.sequenceNumber = sequenceNumber;
    }

    public List<QuestionnaireDetailCommentsV4> getComments() {
        return comments;
    }

    public void setComments(List<QuestionnaireDetailCommentsV4> comments) {
        this.comments = comments;
    }
}
