package gov.va.med.bhie;


import com.fasterxml.jackson.databind.ObjectMapper;
import gov.va.med.bhie.resultcollection.V4ResultCollection;
import org.junit.Test;

import java.io.File;
import java.io.IOException;

public class ParseTest {

    @Test
    public void MetaTypeV4ParseTest() {


        ObjectMapper mapper = new ObjectMapper(); // can reuse, share globally
        try {
            V4ResultCollection procedureV4 = mapper.readValue(new File(getClass().getClassLoader().getResource("procedurePayload.json").getFile()),
                    V4ResultCollection.class);


            assert (procedureV4.getDataRecordList().getProcedures().get(0).getType().getValue().equals("Results_elsewhere"));

        } catch (IOException e) {
            e.printStackTrace();
        }


    }

}
