%{--
  - Janus 4.0 (c)
  - Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
  - Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
  - Contributors:
  -             Honorable Senator Daniel K. Inouye
  -             VA Pacific Islands Health Care System
  -             Tripler Army Medical Center
  -
  - Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
  -
  - You may obtain a copy of the License at:
  -
  -            http://www.apache.org/licenses/LICENSE-2.0.txt
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an "AS IS" BASIS,
  - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  - See the License for the specific language governing permissions and limitations under the License.
  --}%

<script type="text/javascript" src="${resource(dir: 'js/util', file: 'base64.js')}"></script>

<script type="text/javascript">
    window.onload = function () {
        var form = document.createElement("form");
        form.setAttribute("method", "POST");
        form.setAttribute("action", '${guiMedWebAccessBean.getMedWebUrl()}');

        var params = {
            auth_user: Base64.decode('${guiMedWebAccessBean.getMedWebUserName()}'),
            auth_password: Base64.decode('${guiMedWebAccessBean.getMedWebPassword()}'),
            accnum: '${guiMedWebAccessBean.getAccessionNumber()}',
            opcode: 'plugin_stream',
            recode: 'frames',
            comp_amt: '1',
            query_target: '${guiMedWebAccessBean.getAeTitle()}'
        }

        for (var key in params) {
            var hiddenField = document.createElement("input");
            hiddenField.setAttribute("type", "hidden");
            hiddenField.setAttribute("name", key);
            hiddenField.setAttribute("value", params[key]);

            form.appendChild(hiddenField);
        }

        document.body.appendChild(form);
        form.submit();
    }
</script>