<div id="ReportBuilderPane" class="appkit-sidepane" data-outlet="JLV.ReportBuilderController.pane">

    <div class="appkit-view v-title"
         data-outlet="JLV.ReportBuilderController.vtitle">

        <div class="appkit-button max-btn"
             data-action="JLV.ReportBuilderController.maximize">
            <div class="icon-chevron-right"></div>
        </div>


        <div class="label">Report Builder</div>

    </div>


    <div class="appkit-view title" data-outlet="JLV.ReportBuilderController.title">Report Builder


        <div class="appkit-button min-btn" role="button" aria-label="Minimize Report Builder"
             data-action="JLV.ReportBuilderController.minimize">
            <div class="icon-chevron-left"></div>
        </div>


        <div class="appkit-button close-btn" role="button" aria-label="Close Report Builder"
             data-action="JLV.ReportBuilderController.doClose">
            <div class="icon-close"></div>
        </div>
    </div>

    <div class="appkit-view content" data-outlet="JLV.ReportBuilderController.content">
        <div class="directions more-filter-date-msg">To build a report, right-click an entry in the patient's record <br/> and select Add Record to Report.
        </div>

        <div id="ReportBuilderSelectedItems">

            <div class="movebtns">

                <div class="appkit-button" aria-label="Move Record To Top" role="button"
                     data-action="JLV.ReportBuilderController.moveRecordAllUp"
                     data-enabled="false"
                     data-outlet="JLV.ReportBuilderController.upAllBtn">
                    <div class="icon-dchevron-up"></div>
                </div>

                <div class="appkit-button" aria-label="Move Record Up" role="button"
                     data-action="JLV.ReportBuilderController.moveRecordUp"
                     data-enabled="false"
                     data-outlet="JLV.ReportBuilderController.upBtn">
                    <div class="icon-chevron-up"></div>
                </div>

                <div class="appkit-button" aria-label="Move Record Down" role="button"
                     data-action="JLV.ReportBuilderController.moveRecordDown"
                     data-enabled="false"
                     data-outlet="JLV.ReportBuilderController.downBtn">
                    <div class="icon-chevron-down"></div>
                </div>


                <div class="appkit-button" role="button" aria-label="Move Record To Bottom"
                     data-action="JLV.ReportBuilderController.moveRecordAllDown"
                     data-enabled="false"
                     data-outlet="JLV.ReportBuilderController.downAllBtn">
                    <div class="icon-dchevron-down"></div>
                </div>

            </div>

            <div class="appkit-table"
                 data-outlet="JLV.ReportBuilderController.table"
                 data-delegate="JLV.ReportBuilderController"
                 data-source="JLV.ReportBuilderController.Records">

                <div data-id="record" data-fixed="true" data-formatter="recordFormatter"
                     class="appkit-table-column" data-width="290">Selected Items</div>
                <div data-id="reportStatus" data-fixed="true" data-formatter="recordFormatter"
                     class="appkit-table-column" data-width="80">Status</div>

            </div>

            <div class="appkit-button clearsel-btn"
                 data-action="JLV.ReportBuilderController.clearSelected">Clear Selected Record</div>

            <div class="appkit-button clear-btn"
                 data-action="JLV.ReportBuilderController.clearRecords">Clear All</div>

            <div class="appkit-button build-btn"
                 data-enabled="false"
                 data-type="primary"
                 data-outlet="JLV.ReportBuilderController.buildBtn"
                 data-action="JLV.ReportBuilderController.build">
                <div id="buildLoadingIcon" class="build-loading-icon"></div>
                Build
            </div>

        </div>


        <div id="ReportBuilderDetailsView">
            <label>Preview of Record</label>

            <div class="details">

            </div>
        </div>

        <span id="reportStatusString" class="report-status"></span>


        <div class="appkit-button print-btn"
             data-enabled="false"
             data-type="primary"
             data-outlet="JLV.ReportBuilderController.printBtn"
             data-action="JLV.ReportBuilderController.print">Print</div>

    </div>

</div>