package gov.va.med.guibeans;


import java.util.ArrayList;
import java.util.List;


public class GUIQuestionnaireDetails extends GUIBean {


    private List<GUIQuestionnaireDetailAnswers> answers;

    private List<GUIQuestionnaireDetailChoices> choices;

    private List<GUIQuestionnaireDetailComments> comments;
    private String question;
    private String sequence;

    public GUIQuestionnaireDetails() {
    }

    public List<GUIQuestionnaireDetailAnswers> getAnswers() {
        if (this.answers == null) {
            this.answers = new ArrayList<GUIQuestionnaireDetailAnswers>();
        }

        return this.answers;
    }

    public List<GUIQuestionnaireDetailChoices> getChoices() {
        if (this.choices == null) {
            this.choices = new ArrayList<GUIQuestionnaireDetailChoices>();
        }

        return this.choices;
    }

    public List<GUIQuestionnaireDetailComments> getComments() {
        if (this.comments == null) {
            this.comments = new ArrayList<GUIQuestionnaireDetailComments>();
        }

        return this.comments;
    }

    public String getQuestion() {
        return this.question;
    }

    public void setQuestion(String var1) {
        this.question = var1;
    }

    public String getSequence() {
        return this.sequence;
    }

    public void setSequence(String var1) {
        this.sequence = var1;
    }

}
