package gov.va.med.guibeans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class GUIVixStudy implements Serializable
{
    public static final long serialVersionUID = 100;

    private String viewerUrl;
    private String contextId;
    private String imageCount;
    private String studyDescription;
    private String studyDate;
    private String acquisitionDate;
    private String studyId;
    private List<GUIVixSeries> series;

    public GUIVixStudy()
    {
        viewerUrl = "";
        contextId = "";
        imageCount = "";
        studyDescription = "";
        studyDate = "";
        acquisitionDate = "";
        studyId = "";
        series = new ArrayList<GUIVixSeries>();
    }

    public String getViewerUrl() {
        return viewerUrl;
    }

    public void setViewerUrl(String viewerUrl) {
        this.viewerUrl = viewerUrl;
    }

    public String getContextId() {
        return contextId;
    }

    public void setContextId(String contextId) {
        this.contextId = contextId;
    }

    public String getImageCount() {
        return imageCount;
    }

    public void setImageCount(String imageCount) {
        this.imageCount = imageCount;
    }

    public String getStudyDescription() {
        return studyDescription;
    }

    public void setStudyDescription(String studyDescription) {
        this.studyDescription = studyDescription;
    }

    public String getStudyDate() {
        return studyDate;
    }

    public void setStudyDate(String studyDate) {
        this.studyDate = studyDate;
    }

    public String getAcquisitionDate() {
        return acquisitionDate;
    }

    public void setAcquisitionDate(String acquisitionDate) {
        this.acquisitionDate = acquisitionDate;
    }

    public String getStudyId() {
        return studyId;
    }

    public void setStudyId(String studyId) {
        this.studyId = studyId;
    }

    public List<GUIVixSeries> getSeries() {
        return series;
    }

    public void setSeries(List<GUIVixSeries> series) {
        this.series = series;
    }
}
