package gov.va.med.jmeadows.enterprise.beans;

import gov.va.med.vds.webservice.Patient;

public class ResponsePatientSelect
{
    private boolean isSuccess;
    private boolean isVARestricted;     // Restrict VA user access to DoD-only patient information
    private boolean isAllowVAAccess;    // Access to DoD-only patient information
    private String errorMsg;

    private Patient patient;

    public ResponsePatientSelect()
    {
        isSuccess = false;
        isVARestricted = false;
        isAllowVAAccess = false;
        errorMsg = "";
        patient = null;
    }

    public boolean isSuccess()
    {
        return isSuccess;
    }

    public void setSuccess(boolean success)
    {
        isSuccess = success;
    }

    public boolean isVARestricted()
    {
        return isVARestricted;
    }

    public void setVARestricted(boolean VARestricted)
    {
        isVARestricted = VARestricted;
    }

    public boolean isAllowVAAccess()
    {
        return isAllowVAAccess;
    }

    public void setAllowVAAccess(boolean allowVAAccess)
    {
        isAllowVAAccess = allowVAAccess;
    }

    public String getErrorMsg()
    {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg)
    {
        this.errorMsg = errorMsg;
    }

    public Patient getPatient()
    {
        return patient;
    }

    public void setPatient(Patient patient)
    {
        this.patient = patient;
    }
}
