/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */
 
 
package gov.va.med.rpc;

/**
 *
 *
 */
public class RPCException extends Exception {
    /**
     * Class UID.
     */
    private static final long serialVersionUID = 6422469646044828264L;

    public RPCException(Exception except) {
        super(except);
    }

    public RPCException(String error) {
        super(error);
    }

    public RPCException(String message, Throwable cause) {
        super(message, cause);
    }

}
