package gov.va.med.rpc;

public class VistaQueryFactoryUtil {
    public static VistaQueryFactory getVistaQueryFactory(RPCConnectionStrategy connectionStrategy) {
        VistaQueryFactory rtc;
        if (connectionStrategy == null)  {
            throw new IllegalArgumentException(
                    "RPCStrategy has not yet set. Call RPCConnection.connect() to configure RPCStrategy");
        } else if (connectionStrategy == RPCConnectionStrategy.NATIONAL) {
            rtc = new VistaQueryFactoryNationalImpl();
        } else {
            rtc = new VistaQueryFactoryDirectImpl();
        }
        return rtc;
    }
}
