package gov.va.med.vds.das.beans;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;


@JsonIgnoreProperties(ignoreUnknown = true)
public class AllergyIntolerance extends Resource{
    @JsonProperty("criticality")
    private String criticality;
    @JsonProperty("status")
    private String status;
    @JsonProperty("substance")
    private CodedSubstance substance;
    @JsonProperty("reaction")
    private List<Manifestation> reaction;

    public String getCriticality() {
        return criticality;
    }

    public void setCriticality(String criticality) {
        this.criticality = criticality;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public CodedSubstance getSubstance() {
        return substance;
    }

    public void setSubstance(CodedSubstance substance) {
        this.substance = substance;
    }

    public List<Manifestation> getReaction() {
        return reaction;
    }

    public void setReaction(List<Manifestation> reaction) {
        this.reaction = reaction;
    }
}
