package gov.va.med.vds.das.beans;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.List;


@JsonIgnoreProperties(ignoreUnknown = true)
public class CodedObject {
    @JsonProperty("coding")
    private List<SCDBean> coding;
    @JsonProperty("text")
    private String text;

    public CodedObject() {
    }

    public List<SCDBean> getCoding() {
        return coding;
    }

    public void setCoding(List<SCDBean> coding) {
        this.coding = coding;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }
}
