package gov.va.med.vds.das.beans;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import java.util.Date;

/**
 * Created by melcolm on 1/27/17.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class DateRange {
    @JsonProperty("low")
    private TimePoint low;

    @JsonProperty("high")
    private TimePoint high;

    @JsonProperty("point")
    private TimePoint point;

    public TimePoint getLow() {
        return low;
    }

    public void setLow(TimePoint low) {
        this.low = low;
    }

    public TimePoint getHigh() {
        return high;
    }

    public void setHigh(TimePoint high) {
        this.high = high;
    }

    public TimePoint getPoint() {
        return point;
    }

    public void setPoint(TimePoint point) {
        this.point = point;
    }
}
