package gov.va.med.vds.das.beans;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import gov.va.med.vds.vistabeans.das.DASResultCollection;

import java.util.List;

/**
 * Created by melcolm on 1/5/17.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class Subscription {
    @JsonProperty("subscriptionID")
    private String subscriptionID;
    @JsonProperty("status")
    private String status;
    @JsonProperty("userID")
    private String userID;
    @JsonProperty("userName")
    private String userName;
    @JsonProperty("patientICN")
    private String patientICN;
    @JsonProperty("domain")
    private String domain;
    @JsonProperty("forceRefresh")
    private boolean forceRefresh;
    @JsonProperty("creationTime")
    private long creationTime;
    private DASResultCollection resultCollection;

    private List<Document> documents;

    public Subscription(){
        this.creationTime = System.currentTimeMillis();
    }

    public String getSubscriptionID() {
        return subscriptionID;
    }

    public void setSubscriptionID(String subscriptionID) {
        this.subscriptionID = subscriptionID;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPatientICN() {
        return patientICN;
    }

    public void setPatientICN(String patientICN) {
        this.patientICN = patientICN;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public boolean isForceRefresh() {
        return forceRefresh;
    }

    public void setForceRefresh(boolean forceRefresh) {
        this.forceRefresh = forceRefresh;
    }

    public long getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(long creationTime) {
        this.creationTime = creationTime;
    }

    public List<Document> getDocuments() {
        return documents;
    }

    public void setDocuments(List<Document> documents) {
        this.documents = documents;
    }

    public DASResultCollection getResultCollection() {
        return resultCollection;
    }

    public void setResultCollection(DASResultCollection resultCollection) {
        this.resultCollection = resultCollection;
    }
}
