package gov.va.med.vds.dataservicehandler;

import gov.va.med.vds.common.AppConfig;

import javax.xml.namespace.QName;

/**
 * Created with IntelliJ IDEA.
 * User: melcolm
 * Date: 5/21/14
 * Time: 1:43 PM
 * To change this template use File | Settings | File Templates.
 */
public abstract class DataServiceHandler {
    protected static final AppConfig APP_CONFIG = AppConfig.getInstance();
    
    protected String serviceURL;
    protected String serviceName;
    protected String serviceNamespace;
    protected QName qServiceName;
    protected String serviceUsername;
    protected String servicePassword;
    protected int serviceRequestTimeoutMS;
    protected int serviceConnectionTimeoutMS;


    public DataServiceHandler() {
        serviceConnectionTimeoutMS = APP_CONFIG.getConnectionTimeoutMs();
        serviceRequestTimeoutMS = APP_CONFIG.getRequestTimeoutMs();
    }

    public String getServiceURL() {
        return serviceURL;
    }

    public void setServiceURL(String serviceURL) {
        this.serviceURL = serviceURL;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getServiceNamespace() {
        return serviceNamespace;
    }

    public void setServiceNamespace(String serviceNamespace) {
        this.serviceNamespace = serviceNamespace;
    }

    public QName getqServiceName() {
        return qServiceName;
    }

    public void setqServiceName(QName qServiceName) {
        this.qServiceName = qServiceName;
    }

    public String getServiceUsername() {
        return serviceUsername;
    }

    public void setServiceUsername(String serviceUsername) {
        this.serviceUsername = serviceUsername;
    }

    public String getServicePassword() {
        return servicePassword;
    }

    public void setServicePassword(String servicePassword) {
        this.servicePassword = servicePassword;
    }

    public int getServiceRequestTimeoutMS() {
        return serviceRequestTimeoutMS;
    }

    public void setServiceRequestTimeoutMS(int serviceRequestTimeoutMS) {
        this.serviceRequestTimeoutMS = serviceRequestTimeoutMS;
    }

    public int getServiceConnectionTimeoutMS() {
        return serviceConnectionTimeoutMS;
    }

    public void setServiceConnectionTimeoutMS(int serviceConnectionTimeoutMS) {
        this.serviceConnectionTimeoutMS = serviceConnectionTimeoutMS;
    }
}
