package gov.va.med.jmeadows.smartbeans.patient;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.util.Location;
import gov.va.med.vds.webservice.StudyQuery;
import org.apache.commons.lang3.ArrayUtils;

import java.util.ArrayList;
import java.util.List;

public class SmartVixStudyQuery extends SmartBean implements Comparable {
    public SmartVixStudyQuery()
    {
        super();
    }

    @Override
    public Object[] combineData(Object[] array1, Object[] array2, String sort)
    {
        Object[] rtc;
        if (array2 == null) {
            rtc = array1;
        }
        else if (array1 == null) {
            rtc = array2;
        }
        else {
            rtc = ArrayUtils.addAll(array1, array2);
        }

        return rtc;
    }

    @Override
    public Object[] generateConnectionUnavailableBean(Location location, String inerrorMsg) {
        String errorMsg = inerrorMsg;
        if (errorMsg == null) {
            errorMsg = ERROR_MSG_CONNECTION_UNAVAILABLE;
        }

        StudyQuery studyQuery = new StudyQuery();
        studyQuery.setPatientIcn(errorMsg);

        return new StudyQuery[]{studyQuery};
    }

    public int compareTo(Object obj)
    {
        return 0;
    }

    public Object[] sort(Object[] array1, String sort)
    {
        return array1;
    }

    public StudyQuery[] mapStudyQueryWithDetails(Object resultCollection) throws JMeadowsException
    {
        StudyQuery query = (StudyQuery)resultCollection;
        List<StudyQuery> vistaBeans = new ArrayList<StudyQuery>();

        vistaBeans.add(query);

        return vistaBeans.toArray(new StudyQuery[vistaBeans.size()]);
    }
}
